#ifndef id4E5F8A0ABA6047BA988D512351B9DD2D
#define id4E5F8A0ABA6047BA988D512351B9DD2D

//#include "doorkeeper/implem/string_bt.hpp"
#include "doorkeeper/implem/compatibility.h"
#include <cstdint>
#include <ciso646>

namespace dk {
	namespace implem {
		struct HashType {
			uint64_t a;
			uint64_t b;
			uint64_t c;

			bool operator< ( const HashType& parOther ) const;
		};

		HashType hash_string ( const char* parString, std::size_t parLen ) a_pure;
	} //namespace implem

	typedef dk::implem::HashType HashType;

	template <typename T, uint32_t D>
	implem::HashType make_signature_hash ( void ) a_pure;
} //namespace dk

#include "doorkeeper/implem/hashing.inl"

#endif
